Name:           nde-networkmanager
Version:        0.0.1
Release:        35.1%{?dist}
Summary:        NDE NetworkManager tray icon
 
License:        GPLv2+
Source0:        nde-networkmanager-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  gcc

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  cmake(Qt5LinguistTools)

BuildRequires:  kf5-networkmanager-qt-devel
BuildRequires:  kf5-modemmanager-qt-devel
BuildRequires:  ModemManager-devel
BuildRequires:  kf5-kwindowsystem-devel
BuildRequires:  nde-lib-devel
BuildRequires:  nde-widget

BuildRequires:  desktop-file-utils

Requires:  kf5-kwindowsystem
Requires:  NetworkManager-wifi
Requires:  nde-widget
Requires:  nde-lib

# need terminal to run nmtui-edit
#%%if %{fedora}
Recommends:     %{_bindir}/nmtui-edit
#%%endif

%if 0%{?fedora}
Supplements:    nde-panel
%endif

%description
nde-networkmanager is a simple NetworkManager front end
with information icon residing in system tray
(like e.g. nm-applet).
It's a pure Qt application.

%prep
%autosetup

%build
mkdir b
pushd b
%cmake .. \
 -DNDE_NETWORKMANAGER_XDG_AUTOSTART_DIR:STRING='%{_sysconfdir}/xdg/autostart' \
 -DWITH_MODEMMANAGER_SUPPORT=ON
%make_build


%install
%make_install -C b
# enable (persistent) configuration file and be more clear about default settings editor
# discussion: commit/7120cf930014a53efbbc546ae38f69ab7492cac0
%find_lang %{name} --with-qt


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop


%files -f %{name}.lang
%license COPYING
%doc README.md
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%config %{_sysconfdir}/xdg/autostart/%{name}-autostart.desktop
# known bug with find_lang
%dir %{_datadir}/%{name}


%changelog
* Sat Dec 28 2024 heleilei <he.leilei@gd-linux.com>- 0.0.1-35.1
- fix build error

* Thu Oct 28 2021 luo junchao <luo.junchao@zte.com.cn>- 0.0.1-35
- 优化逻辑

* Wed Oct 27 2021 luo junchao <luo.junchao@zte.com.cn>- 0.0.1-34
- 修复WIFI数量少时断开连接列表刷新时出现空白间隔

* Tue Oct 26 2021 luo junchao <luo.junchao@zte.com.cn>- 0.0.1-33
- 修复连接和断开WiFi的显示问题

* Mon Oct 25 2021 lv kaiyi <lv.kaiyi@zte.com.cn>- 0.0.1-32
- 修改托盘提示

* Wed Oct 20 2021 luo junchao <luo.junchao@zte.com.cn>- 0.0.1-31
- 优化托盘图标刷新槽函数绑定多个信号重复执行频率过多的问题

* Mon Oct 18 2021 lv kaiyi <lv.kaiyi@zte.com.cn>- 0.0.1-30
- 修复图标显示异常、连接提示消息错误

* Wed Aug 25 2021 Li shengsong <li.shengsong@zte.com.cn>- 0.0.1-29
- 修复无线网络跳转问题

* Tue Aug 24 2021 lv kaiyi <lv.kaiyi@zte.com.cn>- 0.0.1-28
- 实时更新连接名称

* Fri Aug 20 2021 He leilei <he.leilei@zte.com.cn>- 0.0.1-27
- 删除依赖nm-connection-editor

* Thu Aug 12 2021 Li shengsong <li.shengsong@zte.com.cn>- 0.0.1-26
- 统一接口，点击设置的时候跳转到控制中心

* Mon Jul 26 2021 He leilei <he.leilei@zte.com.cn>- 0.0.1-25
- 修复模糊特效开启后显示不生效的BUG

* Fri Jul 23 2021 He leilei <he.leilei@zte.com.cn>- 0.0.1-24
- 添加v2主题相关代码

* Thu Apr 1 2021 He leilei <he.leilei@zte.com.cn>- 0.0.1-23
- 修改密码加密方式，优化代码

* Wed Jan 6 2021 He leilei <he.leilei@zte.com.cn>- 0.0.1-22
- 显示界面之前先刷新一下wifi

* Tue Nov 10 2020 He leilei <he.leilei@zte.com.cn>- 0.0.1-21
- 修复屏幕尺寸变化时，显示错位的问题

* Tue Oct 27 2020 He.leilei <he.leilei@zte.com.cn> - 0.0.1-20
- 关闭动画后样式修改

* Thu Sep 03 2020 He leilei <he.leilei@zte.com.cn> - 0.0.1-19
- 修复网络在任务栏隐藏时显示位置不正确的问题

* Mon Jul 27 2020 He leilei <he.leilei@zte.com.cn> - 0.0.1-18
- 修复网络在小分辨率情况下的显示问题

* Thu Jul 16 2020 He leilei <he.leilei@zte.com.cn> - 0.0.1-16
- 添加wifi网络断开。

* Thu Jul 16 2020 He leilei <he.leilei@zte.com.cn> - 0.0.1-15
- 修复有线网络连接失败时，显示状态不正确的问题。

* Wed Jul 15 2020 He leilei <he.leilei@zte.com.cn> - 0.0.1-14
- 修复无密码情况下自动连接问题。

* Tue Jul 14 2020 He leilei <he.leilei@zte.com.cn> - 0.0.1-13
- 修复Bug#2272；调整网络布局。 

* Wed Jul 1 2020 He leilei <he.leilei@zte.com.cn> - 0.0.1-12
- fix bug。 

* Wed Jul 1 2020 He leilei <he.leilei@zte.com.cn> - 0.0.1-11
- 添加wifi开关。 

* Mon Jun 29 2020 He leilei <he.leilei@zte.com.cn> - 0.0.1-10
- 添加wifi依赖。

* Thu Jun 18 2020 He leilei <he.leilei@zte.com.cn> - 0.0.1-9
- 修复小分辨率情况下，显示位置不正确的问题

* Thu Jun 18 2020 He leilei <he.leilei@zte.com.cn> - 0.0.1-8
- 删除依赖xterm

* Thu Jun 18 2020 He leilei <he.leilei@zte.com.cn> - 0.0.1-7
- 网络管理器bug修改,激活的连接放到第一项

* Fri Jun 12 2020 He leilei <he.leilei@zte.com.cn> - 0.0.1-6
- 网络管理器bug修改,激活的连接放到第一项

* Thu Jun 11 2020 He leilei <he.leilei@zte.com.cn> - 0.0.1-5
- 网络管理器bug修改,图片替换

* Wed Jun 10 2020 He leilei <he.leilei@zte.com.cn> - 0.0.1-4
- 网络管理器bug修改

* Tue Jun 9 2020 He leilei <he.leilei@zte.com.cn> - 0.0.1-3
- 添加新版本网络管理代码

* Tue Jun 2 2020 Cheng Qian <cheng.qian2@zte.com.cn> - 0.0.1-2
- 修改电源管理器中文名称

* Thu May 28 2020 He leilei <he.leilei@zte.com.cn> - 0.0.1-1
- 新版本发布
